Properties Methods Events Direct Link

# Class Ext.data.SortTypes

Package: | Ext.data
Defined In: | SortTypes.js
Class: | SortTypes
Extends: | Object

This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| stripTagsRE : RegExp The regular expression used to strip tags | SortTypes

## Public Methods

Method | Defined By
--- | ---

asDate( `Mixed s` ) : Number
Date sorting
Date sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Number`
  The comparison value

SortTypes

asFloat( `Mixed s` ) : Float
Float sorting
Float sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Float`
  The comparison value

SortTypes

asInt( `Mixed s` ) : Number
Integer sorting
Integer sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Number`
  The comparison value

SortTypes

asText( `Mixed s` ) : String
Strips all HTML tags to sort on text only
Strips all HTML tags to sort on text only
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

SortTypes

asUCString( `Mixed s` ) : String
Case insensitive string
Case insensitive string
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

SortTypes

asUCText( `Mixed s` ) : String
Strips all HTML tags to sort on text only - Case insensitive
Strips all HTML tags to sort on text only - Case insensitive
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

SortTypes

none( `Mixed s` ) : Mixed
Default sort that does nothing
Default sort that does nothing
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Mixed`
  The comparison value

SortTypes

## Public Events

This class has no public events.